package com.ruoyi.bst.chat.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
public class ChatQuery extends ChatVO{

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("截止时间")
    private LocalDateTime deadline;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("加入拼桌时间")
    private LocalDateTime joinTime;

    @ApiModelProperty("发送人名称")
    private String sendName;

    @ApiModelProperty("接收人名称")
    private String receiveName;

}
