package com.ruoyi.bst.goodsCategory.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品分类对象 bst_goods_category
 *
 * @author ruoyi
 * @date 2025-05-28
 */
@Data
public class GoodsCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "上级分类ID")
    @ApiModelProperty("上级分类ID")
    private Long pid;

    @Excel(name = "店铺ID")
    @ApiModelProperty("店铺ID")
    private Long storeId;

    @Excel(name = "排序")
    @ApiModelProperty("排序")
    private Integer sort;

    @Excel(name = "分类名称")
    @ApiModelProperty("分类名称")
    private String name;

}
