package com.ruoyi.bst.spec.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品规格项对象 bst_spec
 *
 * @author ruoyi
 * @date 2025-05-28
 */
@Data
public class Spec extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "商品ID")
    @ApiModelProperty("商品ID")
    private Long goodsId;

    @Excel(name = "规格名称", readConverterExp = "如=：颜色、尺寸")
    @ApiModelProperty("规格名称")
    private String name;

}
