package com.ruoyi.bst.teamUser.domain;

import com.ruoyi.bst.team.domain.Team;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TeamUserVO extends TeamUser{

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("拼桌队伍名称")
    private String teamName;

    @ApiModelProperty("发起人姓名信息")
    private String nickName;

    @ApiModelProperty("邀请人姓名")
    private String inviterName;

    @ApiModelProperty("当前拼桌用户数")
    private Integer currentNum;

    @ApiModelProperty("店铺ID")
    private Long storeId;

    @ApiModelProperty("拼桌信息")
    private Team team;

}
