package com.ruoyi.bst.chat.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ChatVO extends Chat{

    @ApiModelProperty("队伍名称")
    private String teamName;

    @ApiModelProperty("发送人名称")
    private String senderName;

    @ApiModelProperty("接收人名称")
    private String receiverName;

    @ApiModelProperty("队伍ID")
    private Long teamId;

    @ApiModelProperty("最新未读消息时间")
    private LocalDateTime latestTime;

    @ApiModelProperty("未读消息数量")
    private Integer unReadNum;

}
