package com.ruoyi.bst.goods.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品对象 bst_goods
 *
 * @author ruoyi
 * @date 2025-05-28
 */
@Data
public class Goods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "店铺ID")
    @ApiModelProperty("店铺ID")
    private Long storeId;

    @Excel(name = "分类ID")
    @ApiModelProperty("分类ID")
    private Long categoryId;

    @Excel(name = "商品名称")
    @ApiModelProperty("商品名称")
    private String name;

    @Excel(name = "图片")
    @ApiModelProperty("图片")
    private String image;

    @Excel(name = "是否可存 0-是 1-否")
    @ApiModelProperty("是否可存 0-是 1-否")
    private String deposit;

    @Excel(name = "销量")
    @ApiModelProperty("销量")
    private Long sales;

    @Excel(name = "虚拟销量")
    @ApiModelProperty("虚拟销量")
    private Long virtualSales;

    @Excel(name = "商品状态 0-下架 1-在售")
    @ApiModelProperty("商品状态 0-下架 1-在售")
    private String status;

    @Excel(name = "排序")
    @ApiModelProperty("排序")
    private Long sort;

}
